Page MenuHome

EEVEE viewport on Catalina 10.15.2 with Radeon 5700 is very slow and poor performance
Closed, ResolvedPublic

Description

System Information
Operating system: Catalina 10.15.2
Graphics card: RX 5700 XT

Blender Version
Broken: 2.81a
Broken: 2.81.16 , 2.82 Alpha (from November 29/ buildbot)
Broken: 2.82 Dec 11 2019
Worked: (optional) 2.81 on windows 10
Worked: 2.80.75 on Catalina 10.15.1
Worked: 2.80.75 on Catalina 10.15.2

Short description of error
Despite the solved error in T71147 the EEVEE viewport performance (Material Preview, Render) are very slow.
Test scene: https://download.blender.org/demo/eevee/archiviz/archiviz.blend
You can't manipulate by mouse (pan, zoom... very-very slow).

On the same Mac under Windows 10 partition everything works good without performance degradation.

Exact steps for others to reproduce the error
Based on the default startup or an attached .blend file (as simple as possible).
Try with this demo-file:
https://download.blender.org/demo/eevee/archiviz/archiviz.blend

Event Timeline

@Stanislav (SK) can you check if it is the same issue as T71398 or T71325 and if yes close this report ?

@Stanislav (SK) can you check if it is the same issue as T71398 or T71325 and if yes close this report ?

I supposed that it similar problem but not the same (in the term of identical).

T71325:

  1. Open blend file
  2. Switch viewport to "Rendered"
  3. Notice performance is normal
  4. ... some operation... -> performance drops drastically

T71398:

  1. Open Blend file
  2. Render EEVEE mode render times at (250ms) create a sluggish viewport

MY:

  1. Open Blend file (any kind of demo EEVEE files from official Blender site)
  2. Material Preview Mode in EEVVEE
  3. Boom... immediately sluggish viewport

I think my problem for 90% is similar to T71398.

By the way, my OpenGL specs:
renderer: 'AMD Radeon RX 5700 XT OpenGL Engine'
vendor: 'ATI Technologies Inc.'
version: '4.1 ATI-3.2.24'

Still the have a problem with latest 2.82 nightly build (from 3 december):
Slow performance of EEVEE viewport with some ghost:

Problem still exist in 2.81a

Btw, 2.80.75 works pretty well without viewport eevee lag in Material & Render mode!

Stanislav (SK) updated the task description. (Show Details)

What resolution is your display? also can you turn off.. AO/BLOOM/Screen reflections? and test one by one with for example introduce performance slowdown?

Monitor resolution is 2k.

Viewport eevee lags even with AO/BLOOM/Screen reflections off.

2.80.75 still work without any changes and eevee lags.

Problem still exist in 2.82 from Dec 11 on 10.15.2

2.80.75 still works good in 10.15.2.

Stanislav (SK) renamed this task from EEVEE viewport on Catalina 10.15.1 with Radeon 5700 is very slow and poor performance to EEVEE viewport on Catalina 10.15.2 with Radeon 5700 is very slow and poor performance.Dec 11 2019, 8:36 AM
Stanislav (SK) updated the task description. (Show Details)

I have the same issue on MacBook Pro/AMD Radeon Pro 5500M 8 GB/Catalina 10.15.2 where the demo file works fine on 2.80, but any later build exhibits a slowdown in eevee viewport.

After much trial and error with the archiviz demo blend file, if I disable in the viewport all objects, then enable JUST the Bathroom/Mirror and Bathroom/Circle.021 objects, the viewport lags, but then if the metallic setting on the mirror BSDF shader is set to .9 or lower the viewport immediately frees up and goes to full speed. If only the mirror object is enabled in the scene, there is no lag regardless of the metallic setting. Also if the viewport is zoomed to only show the mirror, then there is no lag. So it seems to be some kind of interaction between those 2 objects/shaders?

Might also be worth noting that when the viewport is lagging all of Blender's UI is also lagging.

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Needs Developer to Reproduce.Jan 13 2020, 2:57 PM

The problem still exist in 2.82 beta from Jan 14.

This definitely seems to be related: T66231

No. I change all materials to Metal form 0 to 1 for Principled Shader in the https://download.blender.org/demo/eevee/archiviz/archiviz.blend and there are nothing change. The viewport is still extremelly sluggish. More over the screen reflections was turning to off during experiments.

This definitely seems to be related: T66231

No. I change all materials to Metal form 0 to 1 for Principled Shader in the https://download.blender.org/demo/eevee/archiviz/archiviz.blend and there are nothing change. The viewport is still extremelly sluggish. More over the screen reflections was turning to off during experiments.

That's true. Also, if you set all the materials to be a single material (IE, there is only one material in the scene and it's set applied to all objects), I get great performance. I can also turn up the Metallic setting as much as I want. When I start adding objects with a mixture of metallic and non-metallic materials, that's when performance starts to crawl.

I didn't mean to imply that the issue was having metal shaders, so much as to indicate that the behaviors are similar enough that the issues may be caused by the same or similar problems.

Confirm that problems in metallic settings of node. Really can't understand why this small and specific problem still not resolve while 2.80 works great without that problem. Still doesn't work in 2.82 beta from Jan 17.

Germano Cavalcante (mano-wii) changed the task status from Needs Developer to Reproduce to Needs Information from User.Jun 4 2020, 2:55 PM

Some improvements have been made in this area.
Can anyone confirm if this problem was fixed in the latest builds?
https://builder.blender.org/download/

Fixed! Works beautifully now. Finally usable on OSX thanks to everyone’s hard work.

Thx to @Clément Foucault (fclem), also here it's works fine 👍

This is great news. Would really appreciate if this fix make it to the next 2.83 LTS release!